Subject: correction for: file descriptor device (/dev/fd)
From: Ken Pizzini <[email-masked]>
Date: Thu, 22 Apr 1993 08:42:42 GMT
Newsgroups: comp.os.linux.announce

Well, Stephen Tweedie <[email-masked]> pointed out to me that
I implemented /dev/fd/n the hard way.  Here is a new installation
script, completely replacing my previous post (well, perhaps the
man page is still useful):
---Begin included text---
cd /dev
ln -s /proc/self/fd fd
ln -s fd/0 stdin
ln -s fd/1 stdout
ln -s fd/2 stderr
---End included text---

Sigh.  At least it wasn't a total waste -- I learned about how
to integrate device drivers into Linux.  I also now have some
/dev/fd code to use as a starting point for other OSes that lack
both /proc and /dev/fd/n support (such as SunOS 4.x).

		--Ken Pizzini